Bug 237676 - Yum filter doesn't properly handle date range that includes mutiple dates
Yum filter doesn't properly handle date range that includes mutiple dates
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: logwatch (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-24 13:59 EDT by Bob Hockney
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-26 04:42:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Yum log (158 bytes, text/plain)
2007-04-25 10:09 EDT, Bob Hockney
no flags Details

  None (edit)
Description Bob Hockney 2007-04-24 13:59:44 EDT
The yum filter for logwatch doesn't properly handle a range that includes more
than one date.  This happens with the latest update for fc5 and also the latest
development version.  The packages selected are correct for the range specified,
but the output is garbled.

-Bob

[root@server ~]# logwatch --print --service yum --range all

 ################### Logwatch 7.3.4 (02/17/07) ####################
        Processing Initiated: Tue Apr 24 10:57:25 2007
        Date Range Processed: all
      Detail Level of Output: 0
              Type of Output: unformatted
           Logfiles for Host: server.ford-prefect.net
  ##################################################################

 --------------------- yum Begin ------------------------

 Packages Updated:
    sylpheed.i386 2.2.10-2.fc5

 ---------------------- yum End -------------------------


 ###################### Logwatch End #########################

 [root@server ~]# logwatch --print --service yum --range '-2 days'

 ################### Logwatch 7.3.4 (02/17/07) ####################
        Processing Initiated: Tue Apr 24 10:57:38 2007
        Date Range Processed: -2 days
                              ( 2007-Apr-22 )
                              Period is day.
      Detail Level of Output: 0
              Type of Output: unformatted
           Logfiles for Host: server.ford-prefect.net
  ##################################################################

 --------------------- yum Begin ------------------------

 Packages Updated:
    sylpheed.i386 2.2.10-2.fc5

 ---------------------- yum End -------------------------


 ###################### Logwatch End #########################

 [root@server ~]# logwatch --print --service yum --range 'since 2 days ago'

 ################### Logwatch 7.3.4 (02/17/07) ####################
        Processing Initiated: Tue Apr 24 10:57:49 2007
        Date Range Processed: since 2 days ago
                              ( 2007-Apr-22 / 2007-Apr-24 )
                              Period is day.
      Detail Level of Output: 0
              Type of Output: unformatted
           Logfiles for Host: server.ford-prefect.net
  ##################################################################

 --------------------- yum Begin ------------------------

 **Unmatched Entries**
 ..:..:..|04/24/07 ..:..:..) Updated: sylpheed.i386 2.2.10-2.fc5

 ---------------------- yum End -------------------------


 ###################### Logwatch End #########################
Comment 1 Ivana Varekova 2007-04-25 07:43:52 EDT
Please could you attach your /var/log/yum.log here?
Comment 2 Bob Hockney 2007-04-25 10:09:05 EDT
Created attachment 153420 [details]
Yum log

See attached
Comment 3 Bob Hockney 2007-04-25 10:12:58 EDT
I rotate yum logs weekly so there are only a few entries in posted log.
Comment 4 Ivana Varekova 2007-04-26 05:39:17 EDT
The attached log file has no log which could be used as an example for your bug.
Could you please attach hese old yum.log file (yum.log.*) if you have this log file.
Comment 5 Ivana Varekova 2007-07-26 04:42:29 EDT
Unfortunately there's not enough information here, therefore closing this
bugzilla. Please re-open if needed.

Note You need to log in before you can comment on or make changes to this bug.